<?php

namespace Drupal\googlereviews;

/**
 * Interface for Get Google Data class.
 *
 * @package Drupal\googlereviews
 */
interface GetGoogleDataInterface {

  /**
   * Get reviews from Google Maps API.
   *
   * @param array $fields
   *   (optional) The fields which the result should be limited to.
   * @param string $language
   *   (optional) The language that should be used to translate certain results.
   *
   * @return array
   *   Data from Google Maps API with information about a place_id in an array.
   */
  public function getGoogleReviews(array $fields = [], string $language = ''): array;

}
